From 2252523d9abf52dcfdab0704b58876f11650b639 Mon Sep 17 00:00:00 2001
From: barracuda156 <vital.had@gmail.com>
Date: Thu, 18 Apr 2024 16:02:36 +0800
Subject: [PATCH] coreaudio: add fallback aliases for < 10.8

---
 src/coreaudio.c | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git src/coreaudio.c src/coreaudio.c
index 5cee4fc..b738a7b 100644
--- src/coreaudio.c
+++ src/coreaudio.c
@@ -10,6 +10,13 @@
 
 #include <assert.h>
 
+#include <AvailabilityMacros.h>
+#ifndef MAC_OS_X_VERSION_10_8
+#define kAudioObjectPropertyScopeInput kAudioDevicePropertyScopeInput
+#define kAudioObjectPropertyScopeOutput kAudioDevicePropertyScopeOutput
+#define kAudioHardwarePropertyServiceRestarted 'srst'
+#endif
+
 static const int OUTPUT_ELEMENT = 0;
 static const int INPUT_ELEMENT = 1;
 
